/* src/hook.c
 *   Contains code for "hooks"
 *
 * Copyright (C) 2004-2005 Lee Hardy <leeh@leeh.co.uk>
 * Copyright (C) 2004-2005 ircd-ratbox development team
 *
 * $Id: hook.c,v 1.4 2005/02/07 22:52:39 leeh Exp $
 */
#include "stdinc.h"
#include "rserv.h"
#include "hook.h"

static dlink_list hooks[HOOK_LAST_HOOK];

void
hook_add(hook_func func, int hook)
{
	if(hook >= HOOK_LAST_HOOK)
		return;

	dlink_add_tail_alloc(func, &hooks[hook]);
}

int
hook_call(int hook, void *arg, void *arg2)
{
	hook_func func;
	dlink_node *ptr;

	if(hook >= HOOK_LAST_HOOK)
		return 0;

	DLINK_FOREACH(ptr, hooks[hook].head)
	{
		func = ptr->data;
		if((*func)(arg, arg2) < 0)
			return -1;
	}

	return 0;
}
